const http = require('http');
const fs = require('fs');
const url = require('url');
const path = require('path');

http.createServer(function (request, response) {
    console.log('request come', request.url);
    const pathname = url.parse(request.url).pathname;
    let content = 'not found';
    switch (pathname) {
        case '/':
            content = fs.readFileSync(path.join(__dirname, 'index-bootstrap3.html'));
            break;
        case '/index-bootstrap3.html':
            content = fs.readFileSync(path.join(__dirname, 'index-bootstrap3.html'));
            break;
        case '/index-bootstrap4.html':
            content = fs.readFileSync(path.join(__dirname, 'index-bootstrap4.html'));
            break;
        case '/index-bootstrap5.html':
            content = fs.readFileSync(path.join(__dirname, 'index-bootstrap5.html'));
            break;
        case '/favicon.ico':
            content = '';
            break;
        case '/css/autosuggest.css':
            content = fs.readFileSync(path.join(__dirname, '../autosuggest.css'));
            break;
        case '/js/autosuggest.js':
            content = fs.readFileSync(path.join(__dirname, '../autosuggest.js'));
            break;
        case '/city.json':
            const city = url.parse(request.url, true).query.city;
            let json = JSON.parse(fs.readFileSync(path.join(__dirname, 'data/city.json')));
            let ret = [];
            for (let item of json) {
                if (item.value.indexOf(city) !== -1) {
                    ret.push(item);
                }
            }
            content = JSON.stringify(ret);
            response.setHeader("content-type", "application/json");
            break;
        default :
            content = fs.readFileSync(path.join(__dirname, pathname));
            break;
    }
    response.end(content);
}).listen(8080)

console.log('打开 http://127.0.0.1:8080');